Subject: Re: [PATCH] i2c: update for semaphore to mutex conversion of devices

From: Peter Zijlstra <[email-masked]>
Date: Tue, 09 Mar 2010 17:04:37 +0100

On Mon, 2010-03-08 at 15:59 -0800, Greg KH wrote:
> 
> Hopefully the lockdep core will be tweaked to handle the locking tree
> that the device core requires and then when that happens, I will merge
> the patch that will require this fix in order to keep the build from
> breaking.
> 
?! Thomas send you patch shutting lockdep up for device mutex, look for
<[email-masked]> in your
inbox.